package com.tptj.demo.hg.request.parameter.handler;

import com.fr.data.DefaultRequestParameterHandler;

import javax.servlet.http.HttpServletRequest;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-27
 **/
public class Demo extends DefaultRequestParameterHandler {
    private final static String DEMO = "123456";
    private final static String KEY = "demo";
    @Override
    public Object getParameterFromRequest( HttpServletRequest request, String name ) {
        if( KEY.equals(name) ){
            return DEMO;
        }
        return super.getParameterFromRequest(request, name);
    }

    @Override
    public Object getParameterFromRequestInputStream(HttpServletRequest request, String name) {
        if( KEY.equals(name) ){
            return DEMO;
        }
        return super.getParameterFromRequestInputStream(request, name);
    }

    @Override
    public Object getParameterFromAttribute(HttpServletRequest request, String name) {
        if( KEY.equals(name) ){
            return DEMO;
        }
        return super.getParameterFromAttribute(request, name);
    }

    @Override
    public Object getParameterFromJSONParameters(HttpServletRequest request, String name) {
        if( KEY.equals(name) ){
            return DEMO;
        }
        return super.getParameterFromJSONParameters(request, name);
    }

    @Override
    public Object getParameterFromSession(HttpServletRequest request, String name) {
        if( KEY.equals(name) ){
            return DEMO;
        }
        return super.getParameterFromSession(request, name);
    }
}
